List business records
curl --request GET \
--url https://api.beltic.com/v1/businesses \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.beltic.com/v1/businesses"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.beltic.com/v1/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "business",
"attributes": {
"is_registered": true,
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>",
"registration_date": "<string>",
"dissolution_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
},
"registered_address": {
"formatted_address": "<string>",
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"street2": "<string>",
"po_box": "<string>",
"latitude": 123,
"longitude": 123,
"start_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
},
"physical_address": {
"formatted_address": "<string>",
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"street2": "<string>",
"po_box": "<string>",
"latitude": 123,
"longitude": 123,
"start_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
},
"identifiers": [
{
"type": "<string>",
"value": "<string>"
}
],
"industry": [
{
"code": "<string>",
"description": "<string>",
"system": "<string>",
"is_primary": true,
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
}
],
"capital": {
"registered": {
"amount": 123,
"currency": "<string>"
},
"paid_up": {
"amount": 123,
"currency": "<string>"
}
},
"officers": [
{
"name": "<string>",
"type": "<string>",
"date_of_birth": "<string>",
"id_type": "<string>",
"id_number": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"address_detail": {
"formatted_address": "<string>",
"street": "<string>",
"city": "<string>",
"state_or_province": "<string>",
"postal_code": "<string>",
"country": "<string>",
"street2": "<string>",
"po_box": "<string>",
"latitude": 123,
"longitude": 123,
"start_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
},
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
},
"states": [
"<string>"
],
"sources": [
"<string>"
]
}
],
"shareholders": [
{
"name": "<string>",
"shareholder_type": "<string>",
"date_of_birth": "<string>",
"id_type": "<string>",
"id_number": "<string>",
"number_of_share": "<string>",
"percentage_of_share": 123,
"effective_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
}
],
"contacts": [
{
"type": "<string>",
"value": "<string>",
"description": "<string>",
"start_date": "<string>",
"end_date": "<string>"
}
],
"name_history": [
{
"name": "<string>",
"effective_date": "<string>",
"end_date": "<string>",
"translation": {
"official_name": "<string>",
"status": "<string>",
"legal_form": "<string>"
}
}
],
"activity_history": [
{
"activity": "<string>",
"date": "<string>"
}
],
"latest_annual_return": {
"year_of_filing": "<string>",
"annual_meeting_date": "<string>"
}
},
"relationships": {
"sessions": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
]
}
}
}
],
"meta": {
"page": {
"size": 123,
"has_next": true,
"has_previous": true,
"start_cursor": "<string>",
"end_cursor": "<string>",
"total": 1
}
},
"links": {
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Business API
List Businesses
List business records with pagination and filtering support.
Filters:
filter[async_status]: Filter by processing status (processing, succeeded, not_found, canceled)filter[country]: Filter by country code (e.g., US, BR)
Pagination:
page[size]: Number of records per page (default: 15)page[after]: Cursor for next pagepage[before]: Cursor for previous pagepage[total]: Include total count in response
Example:
GET /v1/businesses?filter[async_status]=succeeded&filter[country]=US&page[size]=10
GET
/
v1
/
businesses
List business records
Authorizations
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
Query Parameters
Filter by async status
Available options:
processing, succeeded, not_found, canceled Example:
"succeeded"
Filter by country code
Example:
"US"
Number of records per page
Required range:
x <= 100Example:
15
Cursor for next page
Cursor for previous page
Include total count in response
Example:
false
Was this page helpful?
⌘I